- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Gets the latest version of the specified presentation.
HTTP request
GET https://slides.googleapis.com/v1/presentations/{presentationId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
presentationId |
The ID of the presentation to retrieve. |
Query parameters
| Parameters | |
|---|---|
commentsViewMode |
The comments view mode to apply to the presentation. This allows viewing the presentation with comments omitted or included. If one is not specified, |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Presentation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.readonlyhttps://www.googleapis.com/auth/presentationshttps://www.googleapis.com/auth/presentations.readonly
For more information, see the Authorization guide.